Package net.shibboleth.shared.primitive

# Class ReflectionSupport

java.lang.Object
net.shibboleth.shared.primitive.ReflectionSupport

public final class ReflectionSupport extends Object
Utility functions related to reflection.

Since:
  9.2.0

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ReflectionSupport()`
Private constructor.

## Method Summary

Modifier and Type
Method
Description
`static Method`
`getMethod(Class<?> claz, String methodName, Class<?>... parameterTypes)`
Gets a method via reflection with a given name and parameter types on a class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReflectionSupport

private ReflectionSupport()
Private constructor.

## Method Details

### getMethod

@Nullable public static Method getMethod(@Nonnull Class<?> claz, @Nonnull String methodName, @Nullable Class<?>... parameterTypes)
Gets a method via reflection with a given name and parameter types on a class.

Parameters:
  `claz` - class of object
  `methodName` - name of method
  `parameterTypes` - types of parameters, if any
Returns:
  the matching `Method` or null